%define pypi_name h11

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
License:        MIT
URL:            https://pypi.org/project/h11
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This is a little HTTP/1.1 library written from scratch in Python, heavily
inspired by hyper-h2.

%package -n python3-%{pypi_name}
Summary:        A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
This is a little HTTP/1.1 library written from scratch in Python, heavily
inspired by hyper-h2.

%prep
%setup -q -n %{pypi_name}-%{version} 

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst LICENSE.txt
%{python3_sitelib}/*


%changelog
* Sat Jan 02 2021 guillomovitch <guillomovitch> 0.12.0-1.mga8
+ Revision: 1668287
- new version 0.12.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 0.11.0-1.mga8
+ Revision: 1643737
- new version 0.11.0

* Thu Jul 23 2020 ovitters <ovitters> 0.9.0-4.mga8
+ Revision: 1608274
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1532608
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.9.0-2.mga8
+ Revision: 1442526
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.9.0-1.mga8
+ Revision: 1417233
- new version 0.9.0

* Tue Jan 08 2019 tv <tv> 0.8.1-1.mga7
+ Revision: 1351866
- new release (needed for python-wsproto)

* Mon Jan 07 2019 kekepower <kekepower> 0.7.0-3.mga7
+ Revision: 1351372
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1288932
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 guillomovitch <guillomovitch> 0.7.0-1.mga7
+ Revision: 1189360
- imported package python-h11

